import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

//矿区监控模块数据
const mineMonitoring = {
	state:{
	  user:"管理员",
	},
	mutations:{
    changeUser(state, userName){
      state.user = userName;
    }
	},
	getters:{
	
	},
	actions:{
	
	}
}
//生产自动化系统模块
const automation = {
	state:{
  
	},
	mutations:{
	
	},
	getters:{
	
	},
	actions:{
	
	}
}


//默认vuex
export default new Vuex.Store({
  state: {
    projectName:"卡车调度系统终端平台",
    platformName:"卡车调度系统终端平台",
    
  },
  mutations: {
    
  },
  actions: {
  },
  modules: {
    a:mineMonitoring,
    b:automation,
  }
})
